<?php
/*
Plugin Name: AskApache What Is This
Plugin URI: http://www.askapache.com/wordpress/what-is-this-plugin.html
Description: Displays what type of document is being displayed.  <a href="options-general.php?page=askapache-what-is-this.php">Options configuration panel</a>
Version: 2.3
Author: AskApache
Author URI: http://www.askapache.com
*/

/*
== Installation ==

1. Upload askapache-what-is-this.zip to the /wp-content/plugins/ directory
2. Unzip into its own folder /wp-content/plugins/askapache-what-is-this/askapache-what-is-this.php
3. Activate the plugin through the 'Plugins' menu in WordPress by clicking "AskApache WhatIsThis"
4. Go to your Options Panel and open the "AskApache WhatIsThis" submenu.
*/


/*
/--------------------------------------------------------------------\
|                                                                    |
| License: GPL                                                       |
|                                                                    |
| AskApache WhatIsThis Plugin - Displays what type of document is    |
| being displayed                                                    |
| Copyright (C) 2008, AskApache, www.askapache.com                   |
| All rights reserved.                                               |
|                                                                    |
| This program is free software; you can redistribute it and/or      |
| modify it under the terms of the GNU General Public License        |
| as published by the Free Software Foundation; either version 2     |
| of the License, or (at your option) any later version.             |
|                                                                    |
| This program is distributed in the hope that it will be useful,    |
| but WITHOUT ANY WARRANTY; without even the implied warranty of     |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the      |
| GNU General Public License for more details.                       |
|                                                                    |
| You should have received a copy of the GNU General Public License  |
| along with this program; if not, write to the                      |
| Free Software Foundation, Inc.                                     |
| 51 Franklin Street, Fifth Floor                                    |
| Boston, MA  02110-1301, USA                                        |   
|                                                                    |
\--------------------------------------------------------------------/
*/


function aa_wit_options_setup() {
    add_options_page('AskApache WhatIsThis', 'AA WhatIsThis', 8, basename(__FILE__), 'aa_wit_page');
}
add_action('admin_menu', 'aa_wit_options_setup');


add_action('wp_footer', 'aa_what_is_this');
add_action('admin_footer', 'aa_what_is_this');


function aa_what_is_this(){

	//security
if ( function_exists('current_user_can') && !current_user_can('manage_options') ) return;
	$aa_wit_display='';
	$aa_wit_displaydebug='';
	$aa_wit_activated=get_option('aa_wit_activated');
	$aa_wit_debug=get_option('aa_wit_debug');

	if($aa_wit_activated){

	$aa_wit_display.= '<div style="position:absolute; top:5%;right:0;width:200px;height:auto;background-color:#FFF; color:#36C; float:right; font-size:1em; font-weight:bold; opacity:0.8; filter:alpha(opacity=80); padding:1em; margin:1em;">';
	if(is_admin())$aa_wit_display.= "<p>IS admin</p>";
	else $aa_wit_displaydebug.= "<p>NOT admin</p>";

	if(is_paged())$aa_wit_display.= "<p>IS paged</p>";
	else $aa_wit_displaydebug.= "<p>NOT paged</p>";

	if(is_archive())$aa_wit_display.= "<p>IS archive</p>";
	else $aa_wit_displaydebug.= "<p>NOT archive</p>";

	if(is_attachment())$aa_wit_display.= "<p>IS attachment</p>";
	else $aa_wit_displaydebug.= "<p>NOT attachment</p>";

	if(is_author())$aa_wit_display.= "<p>IS author</p>";
	else $aa_wit_displaydebug.= "<p>NOT author</p>";

	if(is_category())$aa_wit_display.= "<p>IS category</p>";
	else $aa_wit_displaydebug.= "<p>NOT category</p>";

	if(is_tag())$aa_wit_display.= "<p>IS tag</p>";
	else $aa_wit_displaydebug.= "<p>NOT tag</p>";

	if(is_comments_popup())$aa_wit_display.= "<p>IS comments_popup</p>";
	else $aa_wit_displaydebug.= "<p>NOT comments_popup</p>";

	if(is_date())$aa_wit_display.= "<p>IS date</p>";
	else $aa_wit_displaydebug.= "<p>NOT date</p>";

	if(is_day())$aa_wit_display.= "<p>IS day</p>";
	else $aa_wit_displaydebug.= "<p>NOT day</p>";

	if(is_feed())$aa_wit_display.= "<p>IS feed</p>";
	else $aa_wit_displaydebug.= "<p>NOT feed</p>";

	if(is_home())$aa_wit_display.= "<p>IS home</p>";
	else $aa_wit_displaydebug.= "<p>NOT home</p>";

	if(is_month())$aa_wit_display.= "<p>IS month</p>";
	else $aa_wit_displaydebug.= "<p>NOT month</p>";

	if(is_page())$aa_wit_display.= "<p>IS page</p>";
	else $aa_wit_displaydebug.= "<p>NOT page</p>";

	if(is_plugin_page())$aa_wit_display.= "<p>IS plugin_page</p>";
	else $aa_wit_displaydebug.= "<p>NOT plugin_page</p>";

	if(is_preview())$aa_wit_display.= "<p>IS preview</p>";
	else $aa_wit_displaydebug.= "<p>NOT preview</p>";

	if(is_robots())$aa_wit_display.= "<p>IS robots</p>";
	else $aa_wit_displaydebug.= "<p>NOT robots</p>";

	if(is_search())$aa_wit_display.= "<p>IS search</p>";
	else $aa_wit_displaydebug.= "<p>NOT search</p>";

	if(is_single())$aa_wit_display.= "<p>IS single</p>";
	else $aa_wit_displaydebug.= "<p>NOT single</p>";

	if(is_singular())$aa_wit_display.= "<p>IS singular</p>";
	else $aa_wit_displaydebug.= "<p>NOT singular</p>";

	if(is_time())$aa_wit_display.= "<p>IS time</p>";
	else $aa_wit_displaydebug.= "<p>NOT time</p>";

	if(is_trackback())$aa_wit_display.= "<p>IS trackback</p>";
	else $aa_wit_displaydebug.= "<p>NOT trackback</p>";

	if(is_year())$aa_wit_display.= "<p>IS year</p>";
	else $aa_wit_displaydebug.= "<p>NOT year</p>";

	if(is_404())$aa_wit_display.= "<p>IS 404</p>";
	else $aa_wit_displaydebug.= "<p>NOT 404</p>";
	
	if($aa_wit_debug)$aa_wit_display.=$aa_wit_displaydebug;
	$aa_wit_display.= "</div>";
	
	echo $aa_wit_display;
	}
}



function aa_wit_page() {
	
    // security
    if ( function_exists('current_user_can') && !current_user_can('manage_options') ) die(__('Cheatin&#8217; uh?'));
    if (! user_can_access_admin_page())  wp_die( __('You do not have sufficient permissions to access this page.') );

	
	if($_SERVER['REQUEST_METHOD']==='POST'){
        $valid_nonce = wp_verify_nonce($_REQUEST['_wpnonce'], 'askapache-what-is-this-options-update');
		if(isset($_POST['aawitdebug']))update_option('aa_wit_debug',1);
		else update_option('aa_wit_debug',0);
		if(isset($_POST['aawitactivated']))update_option('aa_wit_activated',1);
		else update_option('aa_wit_activated',0);
	}
	
	$aa_wit_activated=get_option('aa_wit_activated');
	$aa_wit_debug=get_option('aa_wit_debug');

	
	
	
     $aa_head='<p style="text-align:center;">[ <a href="http://www.askapache.com/wordpress/what-is-this-plugin.html">AskApache What Is This Plugin <strong>2.3</strong></a> - <a href="http://www.askapache.com/">Author Home</a> ]</p><hr style="visibility:hidden;"><div class="wrap"><h2>AskApache What Is This 2.3</h2><form action="' . $_SERVER['REQUEST_URI'] . '" id="sform" method="post">';
	
	// options
	ob_start();	?>
    <fieldset class="options">
    <legend>Options</legend>
    <p><input type="checkbox" name="aawitactivated" id="aawitactivated" value="aawitactivated" style="width:auto;" <?php if($aa_wit_activated) echo 'checked="checked" '; ?>/>Activated</p>
    <p><input type="checkbox" name="aawitdebug" id="aawitdebug" value="aawitdebug" style="width:auto;" <?php if($aa_wit_debug) echo 'checked="checked" '; ?>/>Debug View</p>
    </fieldset>
    <hr style="visibility:hidden;">
    <div class="submit"><input type="submit" style="float:left;" name="updateaawitoptions" id="updateaawitoptions" value="Update Options" class="button" /><br style="clear:both;" /></div>
    </form></div><?php 
	$aa_wit_main=ob_get_clean();

    
    
       
    _e($aa_head);
	wp_nonce_field('askapache-what-is-this-options-update');
    _e($aa_wit_main);

}




function aa_wit_activate(){    
    update_option('aa_wit_activated',1);
    update_option('aa_wit_debug',0);
}

function aa_wit_deactivate(){
    delete_option('aa_wit_activated');
    delete_option('aa_wit_debug');
}

register_deactivation_hook(__FILE__, 'aa_wit_deactivate');
register_activation_hook(__FILE__, 'aa_wit_activate');
?>